@charset "utf-8";
/* Info
 ========================================================================== */
/**
    * 1. Writer: Inseon Choi. (Weaverloft Corp.)
    * 2. Production Date: 2025-08
    * 3. Client: Auto-seed
 */

/* ====== 검색 공통 영역 ====== */
.search-wrap {min-width: 1600px;background: linear-gradient(125deg, rgba(244, 245, 250, 1) 0%, rgba(232, 238, 255, 1) 40%, rgba(241, 251, 255, 1) 55%, rgba(248, 242, 255, 1) 90%);}
.search-wrap #sub .sub-visual {margin: 0 auto; padding: 64px 70px 64px; background:none;}
.search-wrap #sub .sub-visual .page-tag {min-width: 210px; background: #fff; border: 0;font-weight: 600;}
.search-wrap #sub .sub-visual h2 {margin-top: 34px;background-image: linear-gradient(45deg, #3B63FF, #762EFF);background-clip: text;-webkit-background-clip: text;color: transparent;}
.search-wrap .sub-sec {margin: 0 auto 30px; padding: 20px 30px 30px;max-width: 1520px;background: #fff;border-radius: 10px;}
.search-wrap .sub-sec.search-result-sec {margin: 0 auto 160px; padding-bottom: 40px; }
.search-wrap .sub-sec .sec-tit {font-size:20px;font-weight: 700;}

.search-wrap .small-btn.btn-register {min-width: 168px;height: 40px; border: 1px solid var(--border-color-d);  line-height: 40px;}
.search-wrap .small-btn.btn-register span{padding-left: 1.5em; background-size:20px 20px; color: var(--text-color-5); font-size: 15px; font-weight: 600; }
.search-wrap .small-btn.btn-register.plus span{ background: url('../images/common/icon-plus-59596c.svg')no-repeat left;color: var(--text-color-5); font-size: 15px; font-weight: 600; }
.search-wrap .small-btn.btn-register.papers span{ background: url('../images/common/icon-papers-59596c.svg')no-repeat left;color: var(--text-color-5); font-size: 15px; font-weight: 600; }
.search-wrap .small-btn.btn-register.heart span{ background: url('../images/common/icon-likes-59596c.svg')no-repeat left;color: var(--text-color-5); font-size: 15px; font-weight: 600; }
.search-wrap .small-btn.btn-register.heart.on span{ background: url('../images/common/icon-likes-ef4444.svg')no-repeat left; }
.search-wrap .small-btn.btn-register:hover {background-color: var(--bg-color);}

.search-wrap .btn-detail-filter {display: flex; justify-content: center; align-items: center; gap: 8px; width: 150px; height: 56px; padding: 16px 30px; border: 1px solid var(--border-color-d); border-radius: 6px; text-align: center; background-color: #fff; transition: background 300ms;}
.search-wrap .btn-detail-filter:hover {background: var(--bg-color);}
.search-wrap .btn-detail-filter .icon-filter {display: block;width: 24x; height: 24px; padding-left: 24px; background: url('../images/common/icon-filter-8a8a9a.svg')no-repeat center;}
.search-wrap .btn-detail-filter .filter-count {display: none;}
.search-wrap .btn-detail-filter.active {display: flex; gap: 8px; border: 1px solid var(--point-color);}
.search-wrap .btn-detail-filter.active .icon-filter {display: none;}
.search-wrap .btn-detail-filter.active .filter-count {display: block; width: 24px; height: 24px; line-height: 24px; font-size: 14px; font-weight: 600; color: #fff; background: var(--point-color); border-radius: 50%;}
.search-wrap .btn-detail-filter.active span {font-weight: 600; color: var(--point-color);}
.search-wrap .btn-detail-filter span {font-size: 16px; font-weight: 500; color: var(--text-color-8);}
/* 필터 검색 */
.search-filter-sec .filter-search{width: 100%;}
.search-filter-sec .filter-search input{padding-left: 50px;}
.search-filter-sec .filter-controls > .flex-box,
.search-filter-sec .radio-box-wrap{flex-shrink: 0;}
.search-filter-sec .filter-search .btn-wrap{position: absolute; top: 50%; left: 18px; transform: translateY(-50%);}
.search-filter-sec .filter-search .btn-wrap .icon-btn.search.medium{width: 26px; height: 26px; background-size: 26px;}
/* ====== 인플루언서 검색 페이지 ====== */
/* search-filter-sec */
.search-filter-sec .filter-cont {display: flex; justify-content: space-between; align-items: center; }
.search-filter-sec .filter-cont.title { margin: 0 0 22px; padding-bottom: 15px; border-bottom: 1px solid var(--border-color-d);}
.search-filter-sec .filter-title {display: flex;gap: 10px;}
.search-filter-sec .filter-title .checkbox-wrap input[type="checkbox"] + label {font-size: 15px; font-weight: 600;color: var(--text-color-8);}
.search-filter-sec .filter-links {display: flex; align-items: center;gap: 16px;}
.search-filter-sec .filter-links .help-text {position: relative; padding-left: 22px;  font-size: 14px; font-weight: 600;color: var(--text-color-8); line-height: 1.35;}
.search-filter-sec .filter-links .help-text::before {content: ''; position: absolute; left: 0; display: block; width: 20px; height: 20px; background: url('../images/common/icon-question-8a8a9a.svg')no-repeat center -1px; background-size:100% 100%;}
.search-filter-sec .filter-controls {display: flex;gap: 20px; width: 100%;}
.search-filter-sec .filter-controls > .flex-box{display:flex; align-items: center; gap:10px}
.search-filter-sec .filter-controls .basic-radio-box.box-platform-select input[type="radio"] + label {min-width: 150px; padding: 15px 20px;}
.search-filter-sec .filter-controls .custom-select-box .select-box {min-width: 180px;}
.search-filter-sec .basic-btn.search {min-width: 180px; height: 56px; line-height: 56px;}
.search-filter-sec .btn-search-wrap{margin-top: 30px;}
.search-filter-sec .custom-select-box.w300 .drop-select{width: 300px;}

/* search-result */
.search-result-sec .result-filter-box {display: flex; align-items: center; justify-content: space-between; gap: 6px; padding: 18px 0; }
.search-result-sec .result-filter-box .filter-right {display: flex; gap: 6px;}
.search-result-sec .result-filter-box .btn-wrap .btn-register {min-width: auto;  padding: 0 12px 0 8px; background: var(--bg-color);}
.search-result-sec .result-filter-box .btn-wrap .btn-register:hover {border: 1px solid var(--text-color-8);}
.search-result-sec .sub-sec.search-result-sec {padding: 0;}
.search-result-sec .search-result-header {display: flex; justify-content: space-between; align-items: center; padding-bottom: 20px; border-bottom: 1px solid var(--border-color-d); }
.search-result-sec .search-result-header > div {display: flex; justify-content: space-between; align-items: center; gap: 6px;}
.search-result-sec .search-result-header > div.result-title-box { gap: 12px; }
.search-result-sec .search-result-header > div .title-wrap { display: flex; gap: 4px; align-items: center; }
.search-result-sec .search-result-header > div .result-count-wrap { display: flex; align-items: center; font-size: 16px; font-weight: 700; color: var(--point-color); }
.search-result-sec .search-result-header > div .result-count-wrap::before { display: inline-block; content: ''; width: 1px; height: 14px; margin-right: 12px; background-color: var(--border-color-d); }
.search-result-sec .search-result-header .count {font-size: 20px;  font-weight:700;color: var(--point-color);}
.search-result-sec .result-layout-box .select-box {min-width: 190px; height: 40px;}
.search-result-sec .result-layout-box .result-filter-box {border: 1px solid var(--border-color-d);}
.search-result-sec .view-toggle {padding: 3px; border: 1px solid var(--border-color-d); border-radius: 4px;}
.search-result-sec .view-toggle button {width: 32px; height: 32px; background-size:20px 20px;  border-radius: 4px;text-indent: -9999px;}
.search-result-sec .view-toggle .btn-view-grid {background: url('../images/common/icon-grid.svg')no-repeat center; }
.search-result-sec .view-toggle .btn-view-list {background: url('../images/common/icon-list.svg')no-repeat center; }
.search-result-sec .view-toggle .btn-view-grid.active {background: #EDEDED url('../images/common/icon-grid-on.svg')no-repeat center; }
.search-result-sec .view-toggle .btn-view-list.active {background: #EDEDED url('../images/common/icon-list-on.svg')no-repeat center; }
.search-result-sec .grid-view, .list-view { display: none; }
.search-result-sec .grid-view.active, .list-view.active { display: block;}
.search-result-sec .list-checkbox-wrap { display: flex; gap: 6px; }

/* 리스트 - 그리드 모드 전환 */
/* .search-result-sec .result-filter-box .filter-left.list-mode .check-mode-wrap { display: none; }
.search-result-sec .result-filter-box .filter-left.list-mode .check-mode-off-wrap { display: none; }
.search-result-sec .result-filter-box .filter-left.list-mode .check-all-wrap { display: flex; }
.search-result-sec .check-mode-off-wrap.on, .search-result-sec .check-all-wrap.on { display: flex; }
.search-result-sec .check-mode-wrap.off { display: none; } */

.search-result-sec .result-filter-box .checkbox-wrap input[type="checkbox"].box-check + label {min-width: 104px; height: 40px; padding: 11px 10px;}
.search-result-sec .result-filter-box .checkbox-wrap .check-mode { min-width: 104px; }
.search-result-sec .result-filter-box .list-checkbox-wrap .btn-wrap .btn-check-off { min-width: 104px; padding-inline: 11px; }

/* 검색 결과 - 리스트 */
.list-view .table-list-wrap {width: 100%;}
.list-view .table-row {display: flex;flex-wrap: nowrap;}
.list-view .table-cell {display: flex; justify-content: center; align-items: center; flex: 1;padding: 10px 0px;box-sizing: border-box;font-size: 15px; font-weight: 400;  color: var(--text-color-2);}
.list-view .table-cell .like-btn {width:24px; height: 24px; background: url('../images/common/icon-likes-b0b0bb.svg')no-repeat center; background-size:100% 100%; font-size: 16px; font-weight: 500;  color: var(--text-color-2); cursor: default;}
.list-view .table-cell .like-btn.on {background: url('../images/common/icon-likes-ef4444.svg')no-repeat center; background-size: 100% 100%;}
.list-view .table-head {display: block;margin-bottom: 4px; background: var(--bg-color); border: 1px solid var(--border-color-d); border-radius: 6px;}
.list-view .table-head .table-cell {border-left: 1px solid var(--border-color-d); font-size: 15px; font-weight:600;  color: var(--text-color-5); text-align: center;}
.list-view .table-head .table-cell:first-child,
.list-view .table-head .table-cell.cell-account {border-left: 0;}
.list-view .table-head .table-cell > a {width: 100%;}
.list-view .table-body {display: block;}
.list-view .table-body .table-cell {margin: 5px 0;}
.list-view .table-body .table-row {border-bottom: 1px solid var(--border-color-d);}
.list-view .table-body .table-row:first-child .table-cell{margin-top: 0;}
.list-view .table-body .table-row:hover:not(:has(.table-cell.checkbox .checkbox-wrap input:checked)) .table-cell{background:#f5f5f5;}
.list-view .table-head .table-row:hover .table-cell{background:none;}
.list-view .table-row:has(.table-cell.checkbox .checkbox-wrap input:checked) .table-cell{background-color: rgba(64,92,204,0.05);}
.list-view .table-row:has(.table-cell.checkbox .checkbox-wrap input:checked) .table-cell:first-child,
.list-view .table-row:hover:not(:has(.table-cell.checkbox .checkbox-wrap input:checked)) .table-cell:first-child{border-radius:6px 0 0 6px;}
.list-view .table-row:has(.table-cell.checkbox .checkbox-wrap input:checked) .table-cell:last-child,
.list-view .table-row:hover:not(:has(.table-cell.checkbox .checkbox-wrap input:checked)) .table-cell:last-child{border-radius:0px 6px 6px 0px;}
.list-view .cell-post-num{min-width: 166px;}

/* 테이블 너비 */
.list-view .table-cell.checkbox {max-width: 50px;}
.list-view .table-cell.cell-account {min-width: 285px;}
.list-view .cell-account > a {display: block; width: 100%;}
.list-view .cell-account:not(.table-head .cell-account) {display: flex; justify-content: space-between; position: relative;}
.list-view .cell-account::before {display: block; content: ''; width: 28px; height: 28px;}
.list-view .table-head .cell-account::before {display: none;}
.list-view .cell-account.i-insta::before { background: url("../images/common/icon-insta.svg")no-repeat center; }
.list-view .cell-account.i-tiktok::before { background: url("../images/common/icon-tiktok.svg")no-repeat center; }
.list-view .account-wrap { display: flex; align-items: center; gap: 8px; margin-left: 10px;}
.list-view .account-img {width: 40px; min-width: 40px; height: 40px; border-radius: 50%;}
.list-view .account-img img { border-radius: inherit; }
.list-view .account-wrap .name-wrap { display: flex; flex-direction: column; width: calc(100% - 50px); margin-left: 10px; line-height: 1.18; word-break: break-all;}
.list-view .account-wrap .name-wrap .name { font-size: 15px; font-weight: 500; color: var(--text-color-2); }
.list-view .account-wrap .name-wrap .id { font-size: 12px; font-weight: 500; color: var(--point-color); }
.list-view .common-table-bottom {display: flex; margin: 40px 0 10px;}
.list-view .common-table-bottom .pagination-wrap {top:0; left: auto; right: 0; transform: unset;}

/* 미로그인 배너 */
.non-login-banner-wrap{margin-top: 40px;}
.non-login-banner-wrap .search-banner{display: flex; flex-flow: row nowrap; align-items: center; justify-content: space-between; height: 186px; padding: 0 60px; background: url("../images/front/sub/search/non-loginbanner-bg.jpg") no-repeat center; background-size: cover; border-radius: 12px; overflow: hidden;}
.non-login-banner-wrap .search-banner .text-wrap{color: #fff;}
.non-login-banner-wrap .search-banner .text-wrap .txt{margin-bottom: 8px; font-size: 18px; font-weight: 500;}
.non-login-banner-wrap .search-banner .text-wrap .tit{font-size: 26px; font-weight: 700;}
.non-login-banner-wrap .search-banner .sec-btn {display: flex; justify-content: center;}
.non-login-banner-wrap .search-banner .sec-btn *{letter-spacing: -0.025em;}
.non-login-banner-wrap .search-banner .sec-btn .btn{display: flex; align-items: center; justify-content: center; gap: 40px; width: auto; padding: 10px 10px 10px 30px; border-radius: 40px; background-color: #fff; font-size: 18px; font-weight: 700; line-height: 1; color: #000;}
.non-login-banner-wrap .search-banner .sec-btn .btn .icon{display: flex; align-items: center; justify-content: center; width: 40px; height: auto; aspect-ratio: 1/1; border-radius: 50%; background-color: #000; overflow: hidden; transform: rotate(-45deg);}
.non-login-banner-wrap .search-banner .sec-btn .btn .icon i{position: relative; left: 0; display: inline-block; width: 16px; height: auto; aspect-ratio: 1/1; background-image: url('../images/common/icon-arrowbtn-right-f.svg'); background-repeat: no-repeat; background-size: 100% 100%;}
.non-login-banner-wrap .search-banner .sec-btn:hover .btn .icon i { animation: iconSlide 0.4s ease forwards; }
@keyframes iconSlide {
    0% { left: 0; opacity: 1;}
    50% { left: 100%; opacity: 1;}
    50.01% { left: -70%; opacity: 0;}
    51% { left: -70%; opacity: 1;}
    100% { left: 0; opacity: 1;}
}

/* 브랜드 인플루언서 검색 필터 추가 */
.influencer-hub-sec .search-filter-sec{background: #fff; padding: 30px; margin-top: 15px; border-radius: 10px;}
.influencer-hub-sec .search-filter-sec .sec-tit{font-weight: 700; font-size: 20px; color: #202527;}
.influencer-hub-sec .search-filter-sec .filter-cont.title{border-bottom: none; padding-bottom: 0; margin-bottom: 18px;}
.influencer-hub-sec .search-filter-sec .custom-select-box .drop-select{z-index: 15;}
.influencer-hub-sec .filter-search .btn-wrap{position: absolute; top: 50%; left: 18px; transform: translateY(-50%);}
.influencer-hub-sec .filter-search .btn-wrap .icon-btn.search.medium{width: 26px; height: 26px; background-size: 26px;}
.influencer-hub-sec .search-filter-sec .filter-search{width: 100%;}
.influencer-hub-sec .search-filter-sec .filter-controls .custom-select-box .select-box {min-width: 158px;}
